JarURLConnection
Date: 2016-06-24

java.net

## Class JarURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - java.net.JarURLConnection

-     public abstract class JarURLConnection
      extends URLConnection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected URLConnection` | `jarFileURLConnection`

    - ### Fields inherited from class java.net.URLConnection

      `allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JarURLConnection(URL var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `getAttributes()`
    `Certificate[]` | `getCertificates()`
    `String` | `getEntryName()`
    `JarEntry` | `getJarEntry()`
    `abstract JarFile` | `getJarFile()`
    `URL` | `getJarFileURL()`
    `Attributes` | `getMainAttributes()`
    `Manifest` | `getManifest()`

    - ### Methods inherited from class java.net.URLConnection

      `addRequestProperty, connect, getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getInputStream, getLastModified, getOutputStream, getPermission, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setRequestProperty, setUseCaches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jarFileURLConnection

          protected URLConnection jarFileURLConnection

  - ### Constructor Detail

    - #### JarURLConnection

          protected JarURLConnection(URL var0)
                              throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### getAttributes

          public Attributes getAttributes()
                                   throws IOException

      Throws:
        `IOException`

    - #### getCertificates

          public Certificate[] getCertificates()
                                        throws IOException

      Throws:
        `IOException`

    - #### getEntryName

          public String getEntryName()

    - #### getJarEntry

          public JarEntry getJarEntry()
                               throws IOException

      Throws:
        `IOException`

    - #### getJarFile

          public abstract JarFile getJarFile()
                                      throws IOException

      Throws:
        `IOException`

    - #### getJarFileURL

          public URL getJarFileURL()

    - #### getMainAttributes

          public Attributes getMainAttributes()
                                       throws IOException

      Throws:
        `IOException`

    - #### getManifest

          public Manifest getManifest()
                               throws IOException

      Throws:
        `IOException`